# Copyright (c) 2003, Dick Munroe (munroe@csworks.com),
#                     Cottage Software Works, Inc.
#                     All rights reserved.
#
# This program, comes with ABSOLUTELY NO WARRANTY.
# This is free software, and you are welcome to redistribute it
# under the conditions of the GNU GENERAL PUBLIC LICENSE, version 2.
#
# Specialize the behavior of VMS::Librarian for Text files.
#
# Revision History:
#
#   1.00    06-May-2003	Dick Munroe (munroe@csworks.com)
#	    Initial Version Created.
#

package VMS::Librarian::Macro ;

$VERSION = "1.00" ;

use strict ;
use 5.6.1 ;

use VMS::Librarian qw(VLIB_MACRO) ;
use VMS::Librarian::Text ;

@VMS::Librarian::Macro::ISA = qw(VMS::Librarian::Text) ;

sub creopt
{
    my $self = shift ;

    return $self->SUPER::creopt(
	TYPE=>VLIB_MACRO,
	KEYLEN=>31,
	ENTALL=>9,
	@_) ;
}

sub new
{
    my $thePackage = shift ;

    return $thePackage->SUPER::new(@_,TYPE=>VLIB_MACRO) ;
}

1;
__END__
